org.eclipse.net4j.util.container.delegate

## Class ContainerMap<K,V>

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.container.delegate.AbstractDelegator<java.util.Map.Entry<K,V>>
    - - org.eclipse.net4j.util.container.delegate.ContainerMap<K,V>

- All Implemented Interfaces:
    java.util.Map<K,V>, IContainerMap<K,V>, IContainer<java.util.Map.Entry<K,V>>, INotifier

      public class ContainerMap<K,V>
      extends AbstractDelegator<java.util.Map.Entry<K,V>>
      implements IContainerMap<K,V>

  A default implementation of a `container map`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

      `AbstractDelegator.DelegatingIterator`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerMap(java.util.Map<K,V> delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `java.util.Set<java.util.Map.Entry<K,V>>` | `entrySet()`
    `V` | `get(java.lang.Object key)`
    `java.util.Map<K,V>` | `getDelegate()`
    `java.util.Map.Entry<K,V>[]` | `getElements()`
    `boolean` | `isEmpty()`
    `java.util.Set<K>` | `keySet()`
    `V` | `put(K key, V value)`
    `void` | `putAll(java.util.Map<? extends K,? extends V> t)`
    `V` | `remove(java.lang.Object key)`
    `int` | `size()`
    `java.util.Collection<V>` | `values()`

    - ### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

      `createEvent, dispatchEvent, fireAddedEvent, fireRemovedEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### ContainerMap

          public ContainerMap(java.util.Map<K,V> delegate)

  - ### Method Detail

    - #### getDelegate

          public java.util.Map<K,V> getDelegate()

      Specified by:
        `getDelegate` in interface `IContainerMap<K,V>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<K,V>`
      Category
        WRITE

    - #### put

          public V put(K key,
                       V value)

      Specified by:
        `put` in interface `java.util.Map<K,V>`
      Category
        WRITE

    - #### putAll

          public void putAll(java.util.Map<? extends K,? extends V> t)

      Specified by:
        `putAll` in interface `java.util.Map<K,V>`
      Category
        WRITE

    - #### remove

          public V remove(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<K,V>`
      Category
        WRITE

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<K,V>`
      Category
        READ

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<K,V>`
      Category
        READ

    - #### get

          public V get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<K,V>`
      Category
        READ

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<K,V>`
      Category
        READ

    - #### getElements

          public java.util.Map.Entry<K,V>[] getElements()

      Specified by:
        `getElements` in interface `IContainer<java.util.Map.Entry<K,V>>`
      Category
        READ

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<K,V>`
      Specified by:
        `isEmpty` in interface `IContainer<java.util.Map.Entry<K,V>>`
      Category
        READ

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<K,V>`
      Category
        READ

    - #### keySet

          public java.util.Set<K> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<K,V>`
      Category
        READ

    - #### values

          public java.util.Collection<V> values()

      Specified by:
        `values` in interface `java.util.Map<K,V>`
      Category
        READ

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html